Subject: [PATCH 0/3] ARM: dts: Fixes for Overo/Tobi against 3.14-rc1

From: [email-masked] (Kevin Hilman)
Date: Thu, 06 Feb 2014 09:09:47 -0800

Florian Vaussard <[email-masked]> writes:

> OMAP36xx-based Overo (Storm and alike) are now failing to boot with 3.14-rc1 [1].
> This series fixes this, by moving model-agnostic DT into a common dtsi file,
> and creating model-specific DT files:
>
> - omap3-overo-tobi.dts -> older OMAP35xx Overo
> - omap3-overo-storm-tobi.dts -> newer OMAP36xx/AM37xx/DM37xx Overo
>
> People will have to use the right Overo / expansion board combination.
>
> (Patch 2 in an unrelated fix that was waiting in my queue.)
>
> omap3-overo-tobi.dts tested with Overo Sand (OMAP3503) and omap3-overo-storm-tobi.dts
> tested with Overo EarthStorm (AM3703). Both boot. With the Overo Sand, I cannot
> mount the ext3 rootfs, but this seems unrelated to the current topic, maybe
> a missing errata.

And I tested with my 35xx/Overo with omap3-overo-tobi.dts and my
37xx/Overo STORM with omap3-overo-storm-tobi.dts and they're both
working.

Tested-by: Kevin Hilman <[email-masked]>

Tony, with your ack, I can apply these directly to arm-soc/fixes.

Florian, thanks for the fixes.

Kevin